Loading...
Searching...
No Matches
casacore::MaskLogiArrFwd_global_functions_MaskedLogicalArray_forwards Struct Reference
casa package (libcasa_casa) » Arrays_module

More...

`#include <MaskLogiArrFwd.h>`

## Classes

class | MaskedArray

## Public Types

typedef MaskedArray< LogicalArrayElem > | MaskedLogicalArray
| Define MaskedLogicalArray.

## Detailed Description

Forward declarations for MaskedLogicalArrays.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25
Test programs:
  tMaskedArray

### Prerequisite

- Array
- MaskedArray
- LogicalArray

### Etymology

MaskLogiArrayFwd is short for MaskedLogicalArrayForwards, which is too long by the old AIPS++ file naming conventions. It contains forwards for MaskedLogicalArrays.

### Synopsis

This file contains forward definitions for MaskedLogicalArrays.

### Motivation

There are places where MaskedLogicalArrays cannot be defined, i.e. where MaskLogiArr.h cannot be included. In those places, one must provide forward declarations for those objects which one is using. This is particularly tricky for MaskedLogicalArrays, since they are not classes, but are rather typedefs. In order to make these forwards easier to get correct, and easier to maintain, this file was created. If MaskedLogicalArrays should ever be change to a class, only this file would need to be changed, instead of every file where the current typedefs would have to be changed to class forwards.

### To Do

- Consider making these into classes.
- Consider replacing with builtin boolean class when that makes it into the C++ compiler.

Definition at line 82 of file MaskLogiArrFwd.h.

## Member Typedef Documentation

## MaskedLogicalArray

typedef MaskedArray<LogicalArrayElem> casacore::MaskLogiArrFwd_global_functions_MaskedLogicalArray_forwards::MaskedLogicalArray

Define MaskedLogicalArray.

Definition at line 91 of file MaskLogiArrFwd.h.

The documentation for this struct was generated from the following file:

- casa/Arrays/MaskLogiArrFwd.h